QGIS Application - Bug report #10089
Output of statistics: please add layer and column names
2014-04-18 02:38 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.2.0 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 18557
Description

The command Vector > Analysis tool > Statistics does not return, as header, the name of the layer and that of the variable analysed. This
is not a big issue in direct usage, but becomes a serious limitation when the alg is used in Processing, as the output is saved without any
clue about what it refers to.

Seems a trivial and useful addition.

Associated revisions

Revision 44511298 - 2016-01-15 06:29 PM - Alexander Bruy

[processing] add layer and field names to the statistics output (fix #10089)

History

#1 - 2016-01-15 10:07 AM - Alexander Bruy
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in commit:4451f29846

#2 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
